Subject: RE: [dhcwg] DHCP and MAC Addresses

From: "Kostur, Andre" <[email-masked]>
Date: Thu, 4 Nov 2004 13:15:57 -0800

I concur.  The DHC Protocol and RFCs don't dictate that sort of policy.
It's entirely up to the implementor/vendor of the DHCP server as to whether
it can do that sort of decision-making.

-----Original Message-----
From: Kevin A. Noll [mailto:[email-masked]]
Sent: Thursday, November 04, 2004 11:14 AM
To: 'Juan J. Flores'; [email-masked]
Subject: RE: [dhcwg] DHCP and MAC Addresses

Someone correct me if I'm wrong, but I'm pretty sure that this is not 
directly addressed by any of the current RFCs or drafts. 

This actually is intentional since one of the requirements of DHCP 
is not to dictate policy, but to provide a mechanism (see RFC 2131, 
section 1.6).

By picking and choosing which MAC addresses you service via DHCP, you
are implementing policy.

That said, how to accomplish your goal depends on the DHCP implementation 
that you are using. There are several DHCP server implementations that
can do what you are seeking to accomplish.

--kan-- 

--
Kevin A. Noll, KD4WOZ
CCIE, CCDP
Perfect Order, Inc.		
[email-masked]
717-796-1936

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Juan J. Flores
Sent: Thursday, November 04, 2004 1:29 PM
To: [email-masked]
Subject: [dhcwg] DHCP and MAC Addresses

Dear all,

Is there a way to have a DHCP server provide service only to a subset of 
computers in the local network?  We assume we know the MAC Addresses of 
those computers.  Using host is not nice, since it would tie computers 
to IPs and we'd be giving away the D (dynamic) from DHCP.

Any help will be greatly appreciated.

Best regards,

Juan Flores
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg